ACMS.Config({

    //--------
    // 絵文字
    emojiDir        : ACMS.Config.jsRoot + 'acms/images/emoji/', // 絵文字画像ファイルが格納されているディレクトリ
    emoMark         : 'textarea.js-emoditor', // セレクタの示す要素で絵文字 ( ウィジウィグ ) エディターが利用出来ます。
    emoToolbar      :
    [
        ['Source','-','Templates'],
        ['Cut','Copy','Paste','PasteText','PasteFromWord'],
        ['Undo','Redo','-','Find','Replace','-','SelectAll','RemoveFormat'],
        ['Maximize', 'ShowBlocks'],
        '/',
        ['Bold','Italic','Underline','Strike','-','Subscript','Superscript'],
        ['NumberedList','BulletedList','-','Outdent','Indent','Blockquote'],
        ['JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock'],
        ['Link','Unlink','Anchor'],
        ['Table','HorizontalRule'],
        '/',
        ['Styles','Format','Font','FontSize'],
        ['TextColor','BGColor'],
        ['Emoji']
    ],
    emoConfig   : { //http://docs.cksource.com/ckeditor_api/symbols/CKEDITOR.config.html
        enterMode       : 1, // 1:<p>, 2:<br>, 3:<div>
        fontSize_sizes  : '80%/80%;90%/90%;100%/100%;110%/110%;120%/120%;130%/130%;140%/140%;150%/150%;160%/160%;170%/170%;180%/180%;190%/190%;200%/200%',
        font_names      : 'MSゴシック/MS Gothic, Osaka-Mono, monospace; MS Pゴシック/MS PGothic, Osaka, sans-serif; MS UI Gothic/MS UI Gothic, Meiryo, Meiryo UI, Osaka, sans-serif; MS P明朝/MS PMincho, Saimincho, serif; Arial/Arial, Helvetica, sans-serif;Comic Sans MS/Comic Sans MS, cursive;Courier New/Courier New, Courier, monospace;Georgia/Georgia, serif;Lucida Sans Unicode/Lucida Sans Unicode, Lucida Grande, sans-serif;Tahoma/Tahoma, Geneva, sans-serif;Times New Roman/Times New Roman, Times, serif;Trebuchet MS/Trebuchet MS, Helvetica, sans-serif;Verdana/Verdana, Geneva, sans-serif',
        language        : 'ja'
    },
    emoLang : {
        'ja'    : {
            'emoji' : {
                toolbar : '絵文字',
                title   : '絵文字挿入'
            }
        }
    },

    //----------------------------------
    // イメージビューワー ( Highslide )
    hsMark              : 'a[rel=highslide]',
    hsConfig            : // http://highslide.com/ref/hs.overrides
    {
        align       : 'center',
        outlineType : 'rounded-white'
        //dimmingOpacity  : 0.25, // 背景を半透明グレーにする時に指定します
        //dimmingDuration : 25
    },
    hsLang  :
    {
        loadingText     : '読み込み中...',
        loadingTitle    : 'クリックでキャンセルします',
        fullExpandTitle : '実寸で表示します',
        restoreTitle    : 'クリックで元の大きさに戻ります'
    },

    //--------------------
    // 日付選択カレンダー
    dpicMark            : 'input:text[name$=date]', // セレクタの指し示す要素をクリックで日付選択カレンダーを利用出来ます
    dpicConfig          :
    {
        closeText       : '閉じる',
        prevText        : '&lt;前月',
        nextText        : '次月&gt;',
        currentText     : '今日',
        monthNames      : ['1月','2月','3月','4月','5月','6月', '7月','8月','9月','10月','11月','12月'],
        monthNamesShort : ['1月','2月','3月','4月','5月','6月', '7月','8月','9月','10月','11月','12月'],
        dayNames        : ['日曜日','月曜日','火曜日','水曜日','木曜日','金曜日','土曜日'],
        dayNamesShort   : ['日曜','月曜','火曜','水曜','木曜','金曜','土曜'],
        dayNamesMin     : ['日','月','火','水','木','金','土'],
        dateFormat      : 'yy-mm-dd',
        firstDay        : 0,
        isRTL           : false
    },

    //--------------------
    // スタイルの切り替え
    styleSwitchMark : '.styleswitch',
    // リンク要素のタイトル属性を利用してスタイルシートを切り替えることが出来ます。
    // 例)
    // <link rel="stylesheet" type="text/css" href="xxx.css" title="a" class="styleswitch" />
    // <link rel="stylesheet" type="text/css" href="yyy.css" title="b" class="styleswitch" />
    // 
    // <a href="#" class="styleswitch" rel="a">スタイルを[a]に切り替える</a>
    // <a href="#" class="styleswitch" rel="b">スタイルを[b]に切り替える</a>

    //------------
    // スクロール
    scrollToMark    : 'a.scrollTo', // セレクタのアンカーをクリックするとhref属性のフラグに指定された要素へスクロールします。
    scrollToI       : 20, // 間隔(i)msec
    scrollToV       : 0.5, // 0 < 移動量(v) < 1
    // 例)
    // <a name="a"></a>
    // <div id="b"></div>
    //
    // <a href="#a" class="scrollTo" />
    // <a href="#b" class="scrollTo" />
    // <a href="#" class="scrollTo" /> ※フラグ名が指定されない（特定出来ない）場合はページの最上部へスクロールします。

    //--------------------
    // テキストの自動選択
    clickSelectionInputTextMark : ':text.url, textarea.js-click-selection, :text.js-click-selection', // セレクタの示す要素をクリックするとテキストが選択状態になります。

    //--------------------------
    // イメージのロールオーバー
    rolloverImgMark    : 'img.js-rollover, img.imgover', // セレクタの示す要素をホバーするとイメージがロールオーバーします。
    rolloverImgSuffix  : '_o', // ロールオーバー時のファイル名に付けられる接尾辞です。例) banner.img -> banner_o.img

    //------------------------
    // 検索ワードのハイライト
    searchKeywordHighlightMark  : '.entry, .entryTitle', // セレクタ要素内に検索ワードが含まれる時、該当箇所がハイライトされます。
    searchKeywordMatchClass     : 'highlight',
    // 例)
    // 検索対象:<div.entry><p>いろはにほへと</p></div> 
    // 検索語:「いろ　ほへ」 
    // 結果:<div.entry><p><span class="highlight1">いろ</span>はに<span class="highlight2">ほへ</span>と</p></div>

    //---------
    // トグル
    toggleHeadClassSuffix  : 'toggle-head', // 切り替える際にクリックする要素
    toggleBodyClassSuffix  : 'toggle-body', // 切り替え表示対象の要素
    // 要素の表示非表示をアニメーションで切り替えます ( 初期状態は非表示となります )
    // 例）
    // <h4 class="continue-toggle-head">続きを読む</h4>
    // <p class="continue-toggle-body">本文</p>

    //----------
    // フェード
    fadeHeadClassSuffix : 'fade-head', // 切り替える際にクリックする要素
    fadeBodyClassSuffix : 'fade-body', // 切り替え表示対象の要素
    // 要素の表示非表示を切り替えますフェードのアニメーションで切り替えます ( 初期状態は非表示となります )
    // 例）
    // <h4 class="continue-fade-head">続きを読む</h4>
    // <p class="continue-fade-body">本文</p>

    //---------
    // viewing
    viewingIndelibleMark    : '.js-viewing-indelible', // セレクタの示すアンカー要素でviewingを無効にします。

    //----------
    // CKEditor
    ckeMark     : 'textarea.js-ckeditor',

    //-----------
    // swfobject
    swfoMark        : '.swfobject',

    //------
    // stay
    stayEqAllMark       : 'js-stay-eq-all',
    stayEqBlogMark      : 'js-stay-eq-blog',
    stayEqCategoryMark  : 'js-stay-eq-category',
    stayEqEntryMark     : 'js-stay-eq-entry',
    stayInAllMark       : 'js-stay-in-all',
    stayInBlogMark      : 'js-stay-in-blog',
    stayInCategoryMark  : 'js-stay-in-category',
    stayInEntry         : 'js-stay-in-entry',
    stayStayingClass    : 'stay',

    //------
    // edit
    editEntryFormMark   : '#entryForm',
    editEntryUnitMark   : '.entryFormColumnItem',
    editEntryUnitTextTagInsertionMark   : '.js-tag_insertion'

});
